import { registerPlugins } from '@/plugins'
import { setupBackendMocking } from '@/plugins/mock-service-worker';
import App from './App.vue'

import { createApp } from 'vue'


if (import.meta.env.DEV) {
    setupBackendMocking().then(worker => worker.start());
}

const app = createApp(App)

registerPlugins(app)

app.mount('#app')
